
Core - Bug # 40561

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Steffen Ritter Category:
Created: 2012-09-03 Assigned To: Steffen Ritter
Updated: 2012-09-07 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Custom TCEforms validator from saltedpasswords is broken since namespace switch
Description

saltedpasswords registers an eval function. Eval functions are included with the registered name as function name in JS.
If the registered class is a namespaced class name the resulting name of the js function includes \\ which breaks tceforms.

Fix saltedpasswords registration to use classic classname.

Related issues:
duplicated by Core - Bug # 40686: Javascript error in backend Closed 2012-09-06

Associated revisions
Revision c9deca16 - 2012-09-04 10:15 - Steffen Ritter

[BUGFIX] Editing *_users with saltedpasswords active fails

Since the namespace changes, the custom form-field-
evaluators for passwords shipped by saltedpasswords are
registered using the namespaced classes.

As the registered class name is used by tceForms to build
an internal JS function, the JS is broken due to the fact
that backslashes are not allowed in JS function names.

This patch reverts back to "classic" classnames as eval
identifier.

Change-Id: Ica52c01456be7a8ee2b7988cc9773586852621a6
Fixes: #40561
Releases: 6.0
Reviewed-on: http://review.typo3.org/14315
Reviewed-by: Mario Rimann
Tested-by: Mario Rimann
Tested-by: Marcel Burkhalter
Reviewed-by: Francois Suter
Tested-by: Francois Suter
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
History
#1 - 2012-09-03 15:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14315

#2 - 2012-09-03 15:53 - Steffen Ritter
- Assigned To set to Steffen Ritter

#3 - 2012-09-04 10:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c9deca16623ca0876ead9d8a60696ee289f51971.

#4 - 2012-09-07 11:28 - Christian Kuhn
- Parent task set to #40095
